Cannot Install Mapbender Version 3.0.5

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Cannot Install Mapbender Version 3.0.5

Manns, Marc-2

Hi List,

 

i tried to install Mapbender Version 3.0.5 from tarball.

I edited parameter.yml like this.


#########################
parameters:

    database_driver:   pdo_pgsql

    database_host:     localhost

    database_port:     5432

    database_name:   mapbender305

    database_path:

    database_user:     secretuser

    database_password: thisisecrettoo

#########################

But when i try to create the new database per:
app/console doctrine:database:create

I got the error message:

Could not create database for connection named "mapbender305"
SQLSTATE[08006] [7] FATAL:  Datenbank »mapbender« existiert nicht

After that I tried to reInstall Version 3.0.4 from scratch which worked fine.

Does anyone got a clue what could went wrong??
I’m running MB3 on SLES 11 SP3 with PHP 5.3.17 and Postgres  9.1


regards Marc

 


_______________________________________________
Mapbender_users mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/mapbender_users
Reply | Threaded
Open this post in threaded view
|

Re: Cannot Install Mapbender Version 3.0.5

Andreas Schmitz-2
Manns, Marc wrote:

Hi Marc,

> i tried to install Mapbender Version 3.0.5 from tarball.
> I edited parameter.yml like this.
>
> #########################
> parameters:
>     database_driver:   pdo_pgsql
>     database_host:     localhost
>     database_port:     5432
>     database_name:   mapbender305
>     database_path:
>     database_user:     secretuser
>     database_password: thisisecrettoo
> #########################
> But when i try to create the new database per:
> app/console doctrine:database:create
>
> I got the error message:
>
> Could not create database for connection named "mapbender305"
> SQLSTATE[08006] [7] FATAL:  Datenbank >mapbender< existiert nicht
did you modify the config.yml as well? It seems Symfony is looking for
a connection named 'mapbender305' with a database named 'mapbender',
yet the snippet shows the parameters for the 'default' connection with
a database of 'mapbender305'.

Best regards, Andreas

_______________________________________________
Mapbender_users mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/mapbender_users

signature.asc (188 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Cannot Install Mapbender Version 3.0.5

Manns, Marc-2
Hi Andreas,

thanks for your reply.
I didn't take any modifications in this installation.
It is a fresh download (I only modified parameters.yml)

In my paramaters.yml
mapbender is my database_user (with CREATEDB privilegues)
that I would like to run the application.
And mapbender305 is the name of my database.  

But now i could isolate my problem a little bit.
I switched my database-user to postgres in parameters.yml and
app/console doctrine:database:create
worked fine.

After that i deleted the database and switched back to database-user mapbender.
app/console doctrine:database:create
doesn't work.

But when I create a "dummy-database"  named "mapbender"   first.
app/console doctrine:database:create
runs successful even as db-user mapbender.

This could be my workaround but it's not that nice.


Marc


-----Urspr√ľngliche Nachricht-----
Von: [hidden email] [mailto:[hidden email]] Im Auftrag von Andreas Schmitz
Gesendet: Mittwoch, 15. Juli 2015 08:34
An: Mapbender User List
Betreff: Re: [Mapbender-users] Cannot Install Mapbender Version 3.0.5

Manns, Marc wrote:

Hi Marc,

> i tried to install Mapbender Version 3.0.5 from tarball.
> I edited parameter.yml like this.
>
> #########################
> parameters:
>     database_driver:   pdo_pgsql
>     database_host:     localhost
>     database_port:     5432
>     database_name:   mapbender305
>     database_path:
>     database_user:     secretuser
>     database_password: thisisecrettoo
> #########################
> But when i try to create the new database per:
> app/console doctrine:database:create
>
> I got the error message:
>
> Could not create database for connection named "mapbender305"
> SQLSTATE[08006] [7] FATAL:  Datenbank >mapbender< existiert nicht

did you modify the config.yml as well? It seems Symfony is looking for a connection named 'mapbender305' with a database named 'mapbender', yet the snippet shows the parameters for the 'default' connection with a database of 'mapbender305'.

Best regards, Andreas
_______________________________________________
Mapbender_users mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/mapbender_users